# Generated from rubocop-athix-0.0.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubocop-athix

Name: rubygem-%{gem_name}
Version: 0.0.8
Release: 1%{?dist}
Summary: RuboCop preferences for Athix
License: MIT
URL: https://github.com/athix/rubocop-athix
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(rubocop-rake) >= 0.6
# BuildRequires: rubygem(rubocop-rake) < 1
# BuildRequires: rubygem(rubocop-rspec) >= 2.0
# BuildRequires: rubygem(rubocop-rspec) < 3
BuildArch: noarch

%description
Provides a centralized location for Athix's commonly used RuboCop overrides.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/config
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 0.0.8-1
- Initial package
